Status: Closed Priority: Should have
Author: Ingmar Schlecht Category:
Created: 2012-02-26 Assigned To: Francois Suter
Updated: 2012-04-23 Due date:
Subject: Documentation for [FEATURE] Integrate possibility to overrule types array in TCEforms_inline
Description

Documentation for #34281; see https://review.typo3.org/#change,9205

For the TYPE: inline, the following setting is new:

foreign_types
array
This can be used to control which fields of the child table are displayed. You can override showitem etc. settings of the child table
here, by supplying an override for the "types" array of that table. For details on how the types array is constructed, see the chapter
"['types'][key] section" of the TCA Reference (i.e. this very manual).

Related issues:
related to Core - Feature # 34281: Integrate possibility to overrule types ar... Resolved 2012-02-25

Associated revisions
Revision 1186 - 2012-03-30 11:28 - Francois Suter

Added documentation about overriding type of child table from parent table, resolves #34302

History
#1 - 2012-02-29 15:37 - Chris topher
- Target version set to 4.7.0

#2 - 2012-03-30 11:24 - Francois Suter
- Status changed from New to Accepted
- Assigned To set to Francois Suter

Some example TCA setup would have been useful here. Hopefully we can add some in the next version of the documentation, once we have FAL in
the Core (since I suppose that's what it was introduced for in the first place).

#3 - 2012-03-30 14:30 - Francois Suter
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1186.

#4 - 2012-04-23 22:18 - Francois Suter
- Status changed from Resolved to Closed
